Search Publications

Returns a list of Document Objects.

GET/api/2026-03/publications/search
public-api:read
Latest version (since 2026-01)

Query Parameters

Query String

Passed as URL query string. Comma-separated values for arrays (e.g. ?contentTypes=regular,author).

ParameterTypeDescription
search
string

Search term to perform a full-text search with. For exact word matches use “, e.g. search=“Ukulele”

contentTypes
string

Comma separated list of content-types for which documents should be found. Content types are concatenated with OR. Example: 'regular,author'

categories
string

Comma separated list of category ids for which documents should be found. Categories are concatenated with OR. Example: 'sport,fashion'

languages
string

Comma separated list of languages for which documents should be found. Languages are concatenated with OR. Example: 'en,de'

languageGroupId
string

A GroupId used to fetch all translations of a document.
Using the ?languages param a document in a specific language can be fetched.
Example: ?languageGroupId=47&language=de

filters
string

A JSON string which follows the Search Filters query DSL

sort
string

Comma separated list of sort properties. Any of the Sort Fields can be used. The sort order can be reversed by prefixing the property with a -

fields
string

Comma separated list of properties to include in the response. Defaults to systemdata,metadata,content. Use id if you only want to retrieve the ids of the published documents. Useful (and faster) if you are fully synchronizing your frontend with the publication events

limit
integer

A limit for how much published documents to retrieve. Defaults to 10. Max. 100

offset
integer

An offset into the query. Useful when getting more than 100 results (pagination). Max. 10000

after
string

The cursor provided in the response can be passed back for pagination instead of using offset.

ignoreComponentConditions
boolean

(added in release-2024-03)

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: false

componentConditions
string

(added in release-2024-03)

JSON stringified object which contains the component conditions you would like to apply.

Default: dateTime: new Date()
Example: ?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}

Description

This endpoint allows filtering for published documents.

Use Cases

  • Automatic teaser lists like topic pages (filtered by Metadata properties)
  • Ticker Tool
warning
Even when it's possible to make a full-text search to this endpoint, it's not thought to be used by a frontend search (because of performance reasons)

Responses

⌘ K to search